
/***********************
 * VALIDATION DU FORMULAIRE *
 * Ajoute un grade *
 * @event ONSUBMIT
 */	

$('.formStd').live('submit',function(e) 
{
	e.preventDefault();
	
	var input = $(this).find('input,select,textarea');
	var datas = $(input).serialize();
	var dest  = $(this).attr('id');
	
	$.ajax(
	{
		type		: 'POST',
		url			: '/scm/ajax/global.ajx.php',
		data		: 'typeAjx='+dest+'&'+datas,
		dataType	: 'json',
		beforeSend 	: function()
		{
			clearTimeout(loadingTimer);
			loadingTimer = setTimeout(showLoading,3000);
		},
		success		: function(data)
		{
			if(data['erreur']!=='' && data['erreur']!=null)
			{
				swal('Erreur!',data['erreur'],'error');
			}
			else
			{
				$('.listeTechnique').append(data['append']);
				$('input[name="nom"]').val('');
				
				alertify.set('notifier','position', 'top-left');
				alertify.success(data['reponse']);
			}
		},
		complete 	: function()
		{
			clearTimeout(loadingTimer);
			hideLoading();
		}		
	});	
});

/***********************
 * LIENS EDITABLES *
 * @event ONCLICK
 */	
$(document).ready(function() 
{
    $.fn.editable.defaults.mode = 'inline';	
	$('.listeTechnique .editable-item-text').editable({
		type: 'text',
		url: '/scm/ajax/global.ajx.php',
		send: 'always',
		dataType: 'json',
		params: {'typeAjx': 7},
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			if(retour.status == 'ok')
			{
				alertify.set('notifier','position', 'top-left');
				alertify.success(retour.reponse);
			}
		}		
	});	
	
	$('.listeTechnique .editable-item-select').editable({
		type: 'select',
		url: '/scm/ajax/global.ajx.php',
        prepend: 'Choisir ...',
		send: 'always',
		params: {'typeAjx': 7},
		source: function() 
		{
			var result;
			var dataAjx = $(this).attr('data-ajx');
			
			$.ajax({
				url: '/scm/ajax/global.ajx.php',
				data: {'typeAjx': dataAjx, 'select': true},
				type: 'POST',
				global: false,
				async: false,
				dataType: 'json',
				success: function(data){ result = data; }
			});
			return result;
		},
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			if(retour.status == 'ok')
			{
				alertify.set('notifier','position', 'top-left');
				alertify.success(retour.reponse);
			}
			
			if(retour.couleur!=null)
			{
				$(this).parents('tr').find('.item-color').css('background','#'+retour.couleur);				
			}
		}			
	});	
});

/***********************
 * SUPPRIME UNE TECHNIQUE *
 * @event ONCLICK
 */

$('.listeTechnique a.del').live('click',function()
{
	var pk = $(this).parents('tr').find('a.editable').attr('data-pk');
	
	swal({
		title: 'Supprimer cette ligne ?',
		type: 'warning',
		showCancelButton: true,
		confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		confirmButtonText: 'Oui, supprimer!',
		cancelButtonText: 'Annuler'
	}).then(function () 
	{
		$.ajax(
		{
			type		: 'POST',
			url			: '/scm/ajax/global.ajx.php',
			data		: 'typeAjx=7&mod=del&pk='+pk,
			dataType	: 'json',
			beforeSend 	: function()
			{
				clearTimeout(loadingTimer);
				loadingTimer = setTimeout(showLoading,3000);
			},
			success		: function(data)
			{
				if(data['erreur']!=='' && data['erreur']!=null)
				{
					swal('Erreur!',data['erreur'],'error');
				}
				else
				{				
					swal({
						title: 'Bravo!', 
						text: data['reponse'], 
						type: 'success'
					}).then(function(){ location.href = '/scm/'+langue+'/techniques/'; });
				}
			},
			complete 	: function()
			{
				clearTimeout(loadingTimer);
				hideLoading();
			}		
		});	
	});
});